kissdx(1)

NAME
kissdx - KiSS PC-Link Daemon

SYNOPSIS
kissdx [-d] [-k] [-v] [-a] [-c]
kissdx [-h]

DESCRIPTION

kissdx is a simple daemon which enables a Linux or Windows box to stream videos, mp3 and pictures to a KiSS 15xx/5xx/6xx DVD/media player.

kissdx can also act as a KiSS Markup Language (KML) forwarder, enabling access to external sites like http://tinystocks.com/k/docs/kiss.html from your KiSS player.

kissdx is an enhanced version of kissd with support added for ISO and VIDEO_TS folder streaming.

OPTIONS

-a, --all
    Do not hide entries starting with a dot in a directory list.

-c, --config=FILE
    Use the specified configuration file instead of searching for kissdx.conf or kissd.conf in $HOME/ and /opt/etc/.

-d, --daemon
    Start in daemon mode (fork into background and redirect all logs to syslog.

-h, --help
    Print the on-line help.

-k, --kml
    Enables the KML forwarder feature

-v, --verbose
    Run in verbose mode, logging every request and response, and more.

FILES

$HOME/.kissdx.conf
/opt/etc/kissdx.conf
configuration file for kissdx (searched in this order)

AUTHOR
kissdx was created by Vidar Tysse <kissdx@vidartysse.net> as an enhanced kissd. kissd was written by Stelian Pop <stelian@popies.net>, heavily based on kiss4lin by Jacob Kolding <dacobi@users.sourceforge.net>.

Parts of kissdx is graphics code from gd, in line with the following copyright notice.

COPYRIGHT STATEMENT FOLLOWS THIS LINE

    Portions copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004 by Cold Spring Harbor Laboratory. Funded under Grant P41-RR02188 by the National Institutes of Health.

    Portions copyright 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004 by Boutell.Com, Inc.

    Portions relating to GD2 format copyright 1999, 2000, 2001, 2002, 2003, 2004 Philip Warner.

    Portions relating to PNG copyright 1999, 2000, 2001, 2002, 2003, 2004 Greg Roelofs.

    Portions relating to gdttf.c copyright 1999, 2000, 2001, 2002, 2003, 2004 John Ellson (ellson@graphviz.org).

    Portions relating to gdft.c copyright 2001, 2002, 2003, 2004 John Ellson (ellson@graphviz.org).

    Portions relating to JPEG and to color quantization copyright 2000, 2001, 2002, 2003, 2004, Doug Becker and copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004 Thomas G. Lane. This software is based in part on the work of the Independent JPEG Group. See the file README-JPEG.TXT for more information.

    Portions relating to GIF compression copyright 1989 by Jef Poskanzer and David Rowley, with modifications for thread safety by Thomas Boutell.

    Portions relating to GIF decompression copyright 1990, 1991, 1993 by David Koblas, with modifications for thread safety by Thomas Boutell.

    Portions relating to WBMP copyright 2000, 2001, 2002, 2003, 2004 Maurice Szmurlo and Johan Van den Brande.

    Portions relating to GIF animations copyright 2004 Jaakko Hyvätti (jaakko.hyvatti@iki.fi)

    Permission has been granted to copy, distribute and modify gd in any context without fee, including a commercial application, provided that this notice is present in user-accessible supporting documentation.

    This does not affect your ownership of the derived work itself, and the intent is to assure proper credit for the authors of gd, not to interfere with your productive use of gd. If you have questions, ask. "Derived works" includes all programs that utilize the library. Credit must be given in user-accessible documentation.

    This software is provided "AS IS." The copyright holders disclaim all warranties, either express or implied, including but not limited to implied warranties of merchantability and fitness for a particular purpose, with respect to this code and accompanying documentation.

    Although their code does not appear in the current release, the authors also wish to thank Hutchison Avenue Software Corporation for their prior contributions.

END OF COPYRIGHT STATEMENT

SEE ALSO
Visit http://kissdx.vidartysse.net/ for more information and the latest version of kissdx.